Skip to main content
POST
/
v1
/
client
/
reset_orderly_key_ip_restriction
Reset Orderly key IP restriction
curl --request POST \
  --url https://api.orderly.org/v1/client/reset_orderly_key_ip_restriction \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Query Parameters

orderly_key
string
required

The orderly key whose IP restriction will be reset.

reset_mode
string
required

Reset mode to apply. Use ALLOW_ALL_IPS to remove all IP restrictions, or DISALLOW_ALL_IPS to block all IPs for this key.

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989